This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 796612 - Error during validation of model in Guvnor
Error during validation of model in Guvnor
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Linux
high Severity high
: ---
: BRMS 5.3.0.GA
Assigned To: manstis
Sona Mala
: Regression
Depends On:
Blocks: 754093
  Show dependency treegraph
 
Reported: 2012-02-23 05:30 EST by Sona Mala
Modified: 2012-05-03 22:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Server log, source code of model (6.45 KB, text/plain)
2012-02-23 05:30 EST, Sona Mala
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3417 Blocker Resolved 5.3.x Regression: SuperTypeName for a Declared Type extending reports as Object 2013-08-12 23:00:25 EDT
JBoss Issue Tracker JBRULES-3418 Critical Resolved 5.3.x Regression: Declared Super-Types: Compile-time error 2013-08-12 23:00:23 EDT

  None (edit)
Description Sona Mala 2012-02-23 05:30:34 EST
Created attachment 565251 [details]
Server log, source code of model

Description of problem:
During validation of model, an alert "Unable to validate this asset. (Check log for detailed messages)." appears. Server log contains an error (the description is attached)


Version-Release number of selected component (if applicable):
BRMS-standallone-5.3.0.ER4

How reproducible:
Validation of new or empty model is ok. After saving non-empty model, the validation error appears.

Steps to Reproduce:
1. Open new or empty model
2. Add some fields
3. Validate
4. Save the model
5. Validate
  
Actual results:
Step 3. Validation is ok. The source code of model is attached.
Step 5. Validation failed. The source code of model is attached.

Expected results:
If I do not change a model, I expect the same result of validation.

Additional info:
Comment 1 Jiri Locker 2012-02-23 08:36:35 EST
This is a regression. After saving the declarative model, the whole package is broken. Rules that use facts from the declarative model cannot be validated, test scenarios cannot be run and the package cannot be built.
Comment 4 Sona Mala 2012-02-27 05:13:54 EST
I tried save a declarative model with two facts: 

1.	|	declare Fact
2.	|	    field: String
3.	|	end
4.	|	
5.	|	declare Fact2 extends Fact
6.	|	    number: Integer
7.	|	end

After saving the source view looks like:

1.	|	declare Fact extends Object
2.	|	    field: String
3.	|	end
4.	|	
5.	|	declare Fact2 extends Object
6.	|	    number: Integer
7.	|	end

When I am creating new rule I can not find Fact2.field. I lost information that Fact2 extends Fact.
Comment 5 manstis 2012-03-15 10:45:51 EDT
This is due to a regression in Drools Expert. I have asked for a fix made to
master to be back-ported... and am awaiting confirmation it has been completed. See https://bugzilla.redhat.com/show_bug.cgi?id=754093
Comment 8 Anne-Louise Tangring 2012-03-28 10:47:52 EDT
Setting Blocker flag as agreed on in triage meeting.
Comment 9 JBoss JIRA Server 2012-03-30 08:50:02 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira JBRULES-3418 to Coding In Progress
Comment 10 JBoss JIRA Server 2012-03-30 08:50:08 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira JBRULES-3417 to Coding In Progress
Comment 11 JBoss JIRA Server 2012-03-30 08:54:32 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira JBRULES-3418 to Resolved
Comment 12 JBoss JIRA Server 2012-03-30 08:54:42 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira JBRULES-3417 to Resolved
Comment 13 Ryan Zhang 2012-04-23 03:38:18 EDT
Update status to ON_QA. Please verify them against ER6.

Note You need to log in before you can comment on or make changes to this bug.